Tokenize

Once stored, a unique card_id is returned for use in future transactions. Optionally, tokenization can be requested in an Authorize, Verify, Force, Credit, or Sale request by sending the tokenize field set to true.

Note: Vendor accounts need special permissions to use this operation; contact Qualpay Support to enable it.

Body Params

Payment Gateway Tokenize Request

int64
required

Format: Variable length, up to 12 N
Description: Unique identifier in our system.

string

Format: Fixed length, 32 AN
Description: Card ID received from a tokenization request. The card_id may be used in place of a card number in requests requiring cardholder account data.
Conditional Requirement: Refer to Card or Bank Account Data Sources and Conditional Requirements

string

Format: Variable length, up to 19 N
Description: Cardholder's card number.
Conditional Requirement: Refer to Card or Bank Account Data Sources and Conditional Requirements

string

Format: Variable length, up to 79 AN
Description: Contains either track 1 or track 2 magnetic stripe data. If the magnetic stripe reader provides both track 1 and track 2 data in a single read, it is the responsibility of the implementer to send data for only one of the two tracks.
Conditional Requirement: Refer to Card or Bank Account Data Sources and Conditional Requirements

string
required

Format: Fixed length, 4 N, MMYY format
Description: Expiration date of cardholder's card number. When card_id or customer_id is present in the request, this field may also be present. If this field is not present, the saved expiration date is used.
Conditional Requirement: Refer to Card or Bank Account Data Sources and Conditional Requirements

string

Format: Fixed length, 9 N
Description: Bank transit/routing number. Applicable for ACH payments.
Conditional Requirement: Refer to Card or Bank Account Data Sources and Conditional Requirements

string

Format: Variable length, up to 17 N
Description: Owner's account number at the bank. Applicable for ACH payments.
Conditional Requirement: Refer to Card or Bank Account Data Sources and Conditional Requirements

string

Format: Variable length, up to 20 AN
Description: Street address of the cardholder. If present, it will be included in the authorization request sent to the issuing bank.

string

Format: Variable length, up to 9 N
Description: Zip code of the cardholder. If present, it will be included in the authorization request sent to the issuing bank.
Conditional Requirement: This field is required if avs_address is present.

string

Format: Variable length, up to 64 AN
Description: When provided in a tokenize request, the cardholder’s name is stored along with the card number and expiration date.

string

Format: Variable length AN
Description: The cardholder's IP address.

string

Format: Variable length, up to 4 N
Description: CVV2 or CID value from the signature panel on the back of the cardholder's card. If present during a request that requires authorization, the value will be sent to the issuer for validation.

string

Format: Variable length, up to 32 AN
Description: Use to indicate which company developed the integration or the name of the payment solution that is connected to us. Suggested usage is softwareABCv1.0 or companyXYZv2.0.

string

Format: Variable length
Description: This field contains a JSON array of field data that will be echoed back in the response message.

email_address
array of strings

AN
Description: An array of account holder email addresses.

email_address
string

Format: Variable length, up to 4 N
Description: When a merchant has more than one location using the same currency, this value is used to specify the location for this request.

string

Format: Variable length
Description: Apple Pay payload.

string

Format: Variable length
Description: Google Pay payload.

string

Format: Fixed length, 20 N
Description: Explicitly identifies which Payment Gateway profile should be used for the request.

string

Format: Variable length
Description: This field contains a JSON array of field data that will be included with the transaction data reported in Merchant Manager.

string

INTERNAL USE ONLY.

boolean

Default: false
Description: In a tokenize request, setting the single_use field to true will generate a single-use token. This token will expire in 10 minutes or when first used.

string

Format: Fixed length, 1 AN
Default: C
Description: Bank account type. Applicable for ACH payments. Possible values are:

  • C = Personal checking account
  • S = Personal savings account
  • K = Business checking account
  • V = Business savings account

int64

INTERNAL USE ONLY.

int64

Format: Fixed length, 10 N
Description: Identifies the vendor to which this request applies.
Conditional Requirement: This field is required for Qualpay partner accounts.

Responses

Language
Credentials
Basic
base64
:
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json